Bug 1014289 - [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)
[drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expe...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 12:02 EDT by Mike Parker
Modified: 2013-10-12 18:11 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 13:08:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Parker 2013-10-01 12:02:30 EDT
Upon installing kernel-3.11.2-201.fc19.i686, the following is reported by dmesg:

[    2.198037] [drm:intel_pipe_config_compare] *ERROR* mismatch in adjusted_mode.flags (expected 2, found 0)
[    2.198103] ------------[ cut here ]------------
[    2.198150] WARNING: CPU: 0 PID: 138 at drivers/gpu/drm/i915/intel_display.c:8299 check_crtc_state+0x590/0xb30 [i915]()
[    2.198153] pipe state doesn't match!
[    2.198155] Modules linked in: firewire_ohci i915(+) i2c_algo_bit firewire_core drm_kms_helper yenta_socket drm ata_generic pata_acpi crc_itu_t i2c_core video
[    2.198174] CPU: 0 PID: 138 Comm: systemd-udevd Not tainted 3.11.2-201.fc19.i686 #1
[    2.198177] Hardware name: Dell Inc. Latitude D520                   /0PF493, BIOS A08 01/06/2009
[    2.198181]  00000000 00000000 f686d5e0 c09790b9 f686d620 f686d610 c0447b0e f7eedaa8
[    2.198189]  f686d63c 0000008a f7ee5554 0000206b f7ea0660 f7ea0660 f684064c f6840000
[    2.198196]  0000000a f686d628 c0447b63 00000009 f686d620 f7eedaa8 f686d63c f686d890
[    2.198205] Call Trace:
[    2.198216]  [<c09790b9>] dump_stack+0x41/0x52
[    2.198223]  [<c0447b0e>] warn_slowpath_common+0x7e/0xa0
[    2.198258]  [<f7ea0660>] ? check_crtc_state+0x590/0xb30 [i915]
[    2.198293]  [<f7ea0660>] ? check_crtc_state+0x590/0xb30 [i915]
[    2.198298]  [<c0447b63>] warn_slowpath_fmt+0x33/0x40
[    2.198333]  [<f7ea0660>] check_crtc_state+0x590/0xb30 [i915]
[    2.198374]  [<f7eaab83>] intel_modeset_check_state+0x2a3/0x760 [i915]
[    2.198412]  [<f7eab0d0>] intel_set_mode+0x30/0x40 [i915]
[    2.198449]  [<f7eac1e0>] intel_get_load_detect_pipe+0x230/0x3a0 [i915]
[    2.198492]  [<f7ecb647>] intel_tv_detect+0xe7/0x4a0 [i915]
[    2.198501]  [<f7c521f5>] ? __i2c_transfer+0x55/0x70 [i2c_core]
[    2.198511]  [<f7d04428>] drm_helper_probe_single_connector_modes+0x1b8/0x340 [drm_kms_helper]
[    2.198518]  [<f7d01e91>] drm_fb_helper_probe_connector_modes.isra.3+0x41/0x60 [drm_kms_helper]
[    2.198525]  [<f7d02e5d>] drm_fb_helper_initial_config+0x15d/0x480 [drm_kms_helper]
[    2.198554]  [<f7e7b27f>] ? i915_write32+0x9f/0x150 [i915]
[    2.198582]  [<f7e7ad32>] ? i915_read32+0x52/0x130 [i915]
[    2.198623]  [<f7eca74e>] intel_fbdev_initial_config+0x1e/0x20 [i915]
[    2.198652]  [<f7e7ed09>] i915_driver_load+0xcb9/0xce0 [i915]
[    2.198680]  [<f7e7be00>] ? i915_switcheroo_set_state+0xa0/0xa0 [i915]
[    2.198702]  [<f7d4f39e>] ? drm_get_minor+0x1be/0x240 [drm]
[    2.198719]  [<f7d510f3>] drm_get_pci_dev+0x133/0x240 [drm]
[    2.198747]  [<f7e7a69b>] i915_pci_probe+0x2b/0x60 [i915]
[    2.198754]  [<c06abeff>] pci_device_probe+0x6f/0xb0
[    2.198762]  [<c07588b9>] driver_probe_device+0x79/0x360
[    2.198766]  [<c06abe4e>] ? pci_match_device+0x9e/0xb0
[    2.198771]  [<c0758c51>] __driver_attach+0x71/0x80
[    2.198776]  [<c0758be0>] ? __device_attach+0x40/0x40
[    2.198781]  [<c0756cf7>] bus_for_each_dev+0x47/0x80
[    2.198786]  [<c07583be>] driver_attach+0x1e/0x20
[    2.198791]  [<c0758be0>] ? __device_attach+0x40/0x40
[    2.198796]  [<c0757ff7>] bus_add_driver+0x1c7/0x280
[    2.198800]  [<c06abaf0>] ? pci_pm_suspend+0x120/0x120
[    2.198805]  [<c06abaf0>] ? pci_pm_suspend+0x120/0x120
[    2.198810]  [<c075920a>] driver_register+0x6a/0x130
[    2.198815]  [<c06aae02>] __pci_register_driver+0x32/0x40
[    2.198831]  [<f7d512f5>] drm_pci_init+0xf5/0x100 [drm]
[    2.198836]  [<f7d20000>] ? 0xf7d1ffff
[    2.198863]  [<f7d2005e>] i915_init+0x5e/0x60 [i915]
[    2.198868]  [<c040042a>] do_one_initcall+0xca/0x190
[    2.198873]  [<c043b90b>] ? change_page_attr_set_clr+0x28b/0x370
[    2.198878]  [<f7d20000>] ? 0xf7d1ffff
[    2.198883]  [<c043be87>] ? set_memory_ro+0x37/0x40
[    2.198888]  [<c09768b5>] ? set_section_ro_nx+0x54/0x59
[    2.198895]  [<c04a4f9a>] load_module+0x1c1a/0x2320
[    2.198902]  [<c04a5805>] SyS_finit_module+0x75/0xc0
[    2.198908]  [<c051a84b>] ? vm_mmap_pgoff+0x7b/0xa0
[    2.198916]  [<c09863cd>] sysenter_do_call+0x12/0x28
[    2.198920] ---[ end trace 0ea4b32e7db849cb ]---
Comment 1 Mike Parker 2013-10-01 12:23:05 EDT
Problem does not occur if I revert back to kernel-3.11.1-200.fc19.i686
Comment 2 Mike Parker 2013-10-01 14:37:11 EDT
Appears to be the same issue as reported here:

https://bugs.freedesktop.org/show_bug.cgi?id=69875
Comment 3 Mike Parker 2013-10-11 13:08:09 EDT
Resolved by kernel 3.11.4. See bug in Comment 2 for details
Comment 4 Sergio Monteiro Basto 2013-10-12 18:11:39 EDT
this fixed problems of graphics and shutdown 
in my Intel(R) Pentium(R) M 1.73GHz 
BIOS Information
        Vendor: Hewlett-Packard
        Version: 68DTD Ver. F.14
        Release Date: 07/27/2006

Thanks,

Note You need to log in before you can comment on or make changes to this bug.